إنشاء مجموعة أصول مواد Seedance
curl --request POST \
--url https://api.tokenlab.sh/v1/videos/assets/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "لقطات منتجات قابلة لإعادة الاستخدام"
}
'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups"
payload = {
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "لقطات منتجات قابلة لإعادة الاستخدام"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
library_type: 'aigc_avatar',
group_name: 'Product references',
description: 'لقطات منتجات قابلة لإعادة الاستخدام'
})
};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "لقطات منتجات قابلة لإعادة الاستخدام",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}{
"error": {
"message": "model: Model is required",
"type": "invalid_request_error",
"param": "model"
},
"validation_errors": [
{
"field": "model",
"message": "Model is required"
}
]
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "<string>",
"type": "unauthorized",
"code": "<string>",
"param": "<string>",
"model": "<string>",
"did_you_mean": "<string>",
"suggestions": [
{
"id": "<string>"
}
],
"alternatives": [
{
"id": "<string>",
"status": "<string>",
"tags": [
"<string>"
]
}
],
"hint": "<string>",
"retry_after": 123,
"retryable": true,
"balance_usd": 123,
"estimated_cost_usd": 123,
"supported_operations": [
"<string>"
],
"supported_parameters": [
"<string>"
],
"required_selectors": [
"<string>"
],
"optional_selectors": [
"<string>"
],
"allowed_resolutions": [
"<string>"
],
"allowed_durations": [
"<string>"
],
"allowed_aspect_ratios": [
"<string>"
],
"prompt_max_characters": 123,
"recommended_request": {},
"request_endpoint": "<string>",
"request_shape_mode": "<string>",
"status_mode": "<string>",
"request_id": "<string>"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}الفيديو والمواد
إنشاء مجموعة أصول المواد
إنشاء مجموعة مواد للصور الرمزية الافتراضية (virtual-avatar) في Seedance.
POST
/
v1
/
videos
/
assets
/
groups
إنشاء مجموعة أصول مواد Seedance
قم بإنشاء مجموعة مواد من النوع
library_type: "aigc_avatar". استخدم نقطة النهاية (endpoint) هذه للصور الرمزية الافتراضية، والمنتجات، والأنماط، والمراجع الأخرى القابلة لإعادة الاستخدام التي لا تتطلب تحققاً من شخص حقيقي.
يتم إنشاء مجموعات المواد الخاصة بالأشخاص الحقيقيين من خلال إنشاء جلسة تحقق مرئي ولا يمكن إنشاؤها مباشرة باستخدام نقطة النهاية هذه.
يعزل project_name الموارد داخل المؤسسة المصادق عليها. قيمته الافتراضية default؛ استخدم القيمة نفسها مع مراعاة حالة الأحرف للمجموعات والأصول المرتبطة. أرسله في جسم JSON مع POST/PUT وفي معاملات الاستعلام مع GET/DELETE.
مثال على الطلب
curl https://api.tokenlab.sh/v1/videos/assets/groups \
-H "Authorization: Bearer $TOKENLAB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"library_type":"aigc_avatar","group_name":"Product references","description":"Reusable product shots","project_name":"default"}'
مثال على الاستجابة
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"project_name": "default",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "Reusable product shots",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}
التفويضات
مصادقة مفتاح API. قم بإنشاء أو إدارة مفاتيح API في Dashboard > API > API Keys.
الجسم
application/json
اسم عرض اختياري لمجموعة المواد.
Required string length:
1 - 128Maximum string length:
500فئة مكتبة المواد. يدعم الإنشاء المباشر aigc_avatar. قم بإنشاء مجموعات liveness_face من خلال CreateVisualValidateSession متبوعاً بـ GetVisualValidateResult.
الخيارات المتاحة:
aigc_avatar, liveness_face نطاق المشروع لمجموعة المواد.
Required string length:
1 - 128الاستجابة
تم إنشاء مجموعة أصول المواد
معرف مجموعة مواد TokenLab. استخدمه كـ group_id عند تحميل المواد.
الخيارات المتاحة:
seedance.material_asset_group الخيارات المتاحة:
aigc_avatar, liveness_face نطاق المشروع لمجموعة المواد هذه.